gss_indicate_mechs(3)

NAME
gss_indicate_mechs - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_indicate_mechs(OM_uint32 * minor_status, gss_OID_set * mech_set);

ARGUMENTS

OM_uint32 * minor_status
    (integer, modify) Mechanism specific status code.

gss_OID_set * mech_set
    (set of Object IDs, modify) Set of
      implementation-supported mechanisms. The returned gss_OID_set
      value will be a dynamically-allocated OID set, that should be
      released by the caller after use with a call to
      gss_release_oid_set().

DESCRIPTION
Allows an application to determine which underlying security mechanisms are available.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.